Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.atom
Class Content

    java.lang.Object
      com.sun.syndication.feed.atom.Content

All Implemented Interfaces:
  Serializable, Cloneable

    public class Content

extends Object
implements Cloneable, Serializable

Bean for content elements of Atom feeds.

Author:
  Alejandro Abdelnur, Dave Johnson (updated for Atom 1.0)
See Also:
  Serialized Form

Field Summary
`static String` | `BASE64` Atom 0.3 only
`static String` | `ESCAPED` Atom 0.3 only
`static String` | `HTML`
`static String` | `TEXT`
`static String` | `XHTML`
`static String` | `XML` Atom 0.3 only

Constructor Summary
`Content()` Default constructor.

Method Summary
`Object` | `clone()` Creates a deep 'bean' clone of the object.
`boolean` | `equals(Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`String` | `getMode()` Returns the content mode (Atom 0.3 only).
`String` | `getSrc()` Returns the src
`String` | `getType()` Returns the content type.
`String` | `getValue()` Returns the content value.
`int` | `hashCode()` Returns a hashcode value for the object.
`void` | `setMode(String mode)` Sets the content mode (Atom 0.3 only).
`void` | `setSrc(String src)` Set the src
`void` | `setType(String type)` Sets the content type.
`void` | `setValue(String value)` Sets the content value.
`String` | `toString()` Returns the String representation for the object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TEXT

    public static final String TEXT

Since:
  Atom 1.0
See Also:
  Constant Field Values

### HTML

    public static final String HTML

Since:
  Atom 1.0
See Also:
  Constant Field Values

### XHTML

    public static final String XHTML

Since:
  Atom 1.0
See Also:
  Constant Field Values

### XML

    public static final String XML

  Atom 0.3 only

  See Also:
    Constant Field Values

### BASE64

    public static final String BASE64

  Atom 0.3 only

  See Also:
    Constant Field Values

### ESCAPED

    public static final String ESCAPED

  Atom 0.3 only

  See Also:
    Constant Field Values

Constructor Detail

### Content

    public Content()

  Default constructor. All properties are set to null.

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Creates a deep 'bean' clone of the object.

  Overrides:
    `clone` in class `Object`
  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

### equals

    public boolean equals(Object other)

  Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - he reference object with which to compare.
  Returns:
    true if 'this' object is equal to the 'other' object.

### hashCode

    public int hashCode()

  Returns a hashcode value for the object.

  It follows the contract defined by the Object hashCode() method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode of the bean object.

### toString

    public String toString()

  Returns the String representation for the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation for the object.

### getType

    public String getType()

  Returns the content type.

  The type indicates how the value was/will-be encoded in the XML feed.

  Since:
    Atom 1.0

### setType

    public void setType(String type)

  Sets the content type.

  The type indicates how the value was/will-be encoded in the XML feed.

  Since:
    Atom 1.0

### getMode

    public String getMode()

  Returns the content mode (Atom 0.3 only).

  The mode indicates how the value was/will-be encoded in the XML feed.

  Returns:
    the content mode, null if none.

### setMode

    public void setMode(String mode)

  Sets the content mode (Atom 0.3 only).

  The mode indicates how the value was/will-be encoded in the XML feed.

  Parameters:
    `mode` - the content mode, null if none.

### getValue

    public String getValue()

  Returns the content value.

  The return value should be decoded.

  Returns:
    the content value, null if none.

### setValue

    public void setValue(String value)

  Sets the content value.

  The value being set should be decoded.

  Parameters:
    `value` - the content value, null if none.

### getSrc

    public String getSrc()

  Returns the src

  Returns:
    Returns the src.
  Since:
    Atom 1.0

### setSrc

    public void setSrc(String src)

  Set the src

  Parameters:
    `src` - The src to set.
  Since:
    Atom 1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.